Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.bridge.bmp.jdbc
Interface SmartConnectionPool

Deprecated

    @Deprecated
    public interface SmartConnectionPool

Defines the interface for Application Server independent connection pooling. This allows for specification of Connection objects at deployment time.

Method Summary
`Connection` | `getConnection()` Deprecated Returns the SQL Connection for this Transaction.
`void` | `releaseConnection(Connection connection)` Deprecated Releases the SQL Connection for this Transaction.
`void` | `setJNDIContext(Context JNDIContext)` Deprecated Inform provider of ejbContext.

Method Detail

### setJNDIContext

    void setJNDIContext(Context JNDIContext)
                        throws BMPException

  Deprecated
  Inform provider of ejbContext. The implementation of this interface has have a public, default no-args constructor. The provider relies on properties in the bean's deployment descriptor as documented in a provider or Theory Center specified protocol.

  Parameters
    `ejbContext` - the bean's ejbContext.
  Throws
    `BMPException`

### getConnection

    Connection getConnection()
                             throws BMPException

  Deprecated
  Returns the SQL Connection for this Transaction. The actual implementation may choose to implement connection pooling etc.

  Returns
    conn Connection object.
  Throws
    `BMPException` - implementation specific exception occurred

### releaseConnection

    void releaseConnection(Connection connection)
                           throws BMPException

  Deprecated
  Releases the SQL Connection for this Transaction.

  Parameters
    `conn` - Connection object.
  Throws
    `BMPException` - implementation specific exception occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.